> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Oauth Redirect Legacy

> [Legacy] Redirect to the OAuth authorisation endpoint for the given provider.

Deprecated: use GET /auth/sso/authorize?provider=<id>.
Kept for backwards compatibility.



## OpenAPI

````yaml /openapi.json get /v1/auth/oauth/{provider}
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/auth/oauth/{provider}:
    get:
      tags:
        - auth
      summary: Oauth Redirect Legacy
      description: >-
        [Legacy] Redirect to the OAuth authorisation endpoint for the given
        provider.


        Deprecated: use GET /auth/sso/authorize?provider=<id>.

        Kept for backwards compatibility.
      operationId: oauth_redirect_legacy_v1_auth_oauth__provider__get
      parameters:
        - in: path
          name: provider
          required: true
          schema:
            title: Provider
            type: string
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````